[Date Prev][Date Next] [Chronological] [Thread] [Top]

Re: (ITS#5678) slurpd stops processing the replication log if consecutive blank lines are encountered

mgwin@escp-eap.net wrote:
> On Tue, 23 Sep 2008 15:33:47 +0200
> Michael Ströder <michael@stroeder.com> wrote:
>> Which version 2.3? It is definitely more stable than slurpd in recent
>> versions of 2.3 (2.3.43 is most recent release).
> 2.3.30, the debian etch package

According to CHANGES 2.3.30 was released almost two years ago. There
have been so many fixes since then. You shouldn't ignore that fact if
OpenLDAP is a critical part of your infrastructure.

> unfortunately upgrading isn't really an option here.


> I experienced segfaults on the provider server. Although I'm not
> entirely sure the provider was initialised properly*, the fact that
> slapd would crash seemed a sufficient indication we should bide our time
> and wait till 2.4 hit debian stable.

You should upgrade to either 2.3.43 or 2.4.11. Whatever Debian thinks of
being a stable version isn't necessarily what the upstream developers
think is stable.

Actually we have this discussion quite often.

Ciao, Michael.